Runtime

## org.eclipse.gmf.runtime.common.ui.action.ide.actions.global
Class IDEGlobalActionManager

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.action.actions.global.GlobalActionManager
          org.eclipse.gmf.runtime.common.ui.action.ide.actions.global.IDEGlobalActionManager

public class IDEGlobalActionManager
extends GlobalActionManager

This class subclasses GlobalActionManager and includes support for IDE global actions, which include the bookmark action, the open project action, and the close project action.

Method Summary
`GlobalAction` `createActionHandler(IWorkbenchPage page, java.lang.String id)` Creates a GlobalAction.
`GlobalAction` `createActionHandler(IWorkbenchPart part, java.lang.String id)` Creates a GlobalAction.
`GlobalAction[]` `createGlobalActions(IWorkbenchPart part)` Creates default list of all global actions
`GlobalAction[]` `createGlobalActions(IWorkbenchPart part, java.lang.String[] actionIds)` Creates specified list of global actions
`GlobalAction` `getGlobalAction(IWorkbenchPart part, java.lang.String actionId)` Get Global Action This method obtains the specific global action for the given part.
`GlobalAction` `getGlobalActionHandler(IWorkbenchPart part, java.lang.String globalActionId)` Returns the `GlobalAction` for the given part and action id
`static GlobalActionManager` `getInstance()` Return the singleton.
`void` `refreshGlobalActions(IWorkbenchPart part)` Refreshes the global actions for the given part
`void` `setGlobalActionHandlers(IActionBars bar, IWorkbenchPart part)` Set the global actions as the workbench global action handlers
`void` `unSetGlobalActionHandlers(IActionBars bar, IWorkbenchPart part)` Unset the global actions as the workbench global action handlers

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.actions.global.GlobalActionManager
`addActionId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static GlobalActionManager getInstance()

  Return the singleton.

### createActionHandler

    public GlobalAction createActionHandler(IWorkbenchPage page,
                                            java.lang.String id)

  Creates a GlobalAction.

  Overrides:
    `createActionHandler` in class `GlobalActionManager`
  Parameters:
    `page` - The workbench page
    `id` - The action id
  Returns:
    GlobalAction

### createActionHandler

    public GlobalAction createActionHandler(IWorkbenchPart part,
                                            java.lang.String id)

  Creates a GlobalAction.

  Overrides:
    `createActionHandler` in class `GlobalActionManager`
  Parameters:
    `part` - The workbench part
    `id` - The action id
  Returns:
    GlobalAction

### createGlobalActions

    public GlobalAction[] createGlobalActions(IWorkbenchPart part,
                                              java.lang.String[] actionIds)

  Description copied from class: `GlobalActionManager`
  Creates specified list of global actions

  Overrides:
    `createGlobalActions` in class `GlobalActionManager`
  Parameters:
    `part` - The workbench part
    `actionIds` - List of actions ids
  Returns:
    GlobalAction[] An array of GlobalAction

### createGlobalActions

    public GlobalAction[] createGlobalActions(IWorkbenchPart part)

  Description copied from class: `GlobalActionManager`
  Creates default list of all global actions

  Overrides:
    `createGlobalActions` in class `GlobalActionManager`
  Parameters:
    `part` - The workbench part
  Returns:
    GlobalAction[] An array of GlobalAction

### getGlobalAction

    public GlobalAction getGlobalAction(IWorkbenchPart part,
                                        java.lang.String actionId)

  Description copied from class: `GlobalActionManager`
  Get Global Action This method obtains the specific global action for the given part. If the action does not exist, null is returned.

  Overrides:
    `getGlobalAction` in class `GlobalActionManager`
  Parameters:
    `part` - the workbench part associated with the global action
    `actionId` - the ID of the global action to locate
  Returns:
    GlobalAction the global action, or null if none is defined for the part

### getGlobalActionHandler

    public GlobalAction getGlobalActionHandler(IWorkbenchPart part,
                                               java.lang.String globalActionId)

  Description copied from class: `GlobalActionManager`
  Returns the `GlobalAction` for the given part and action id

  Overrides:
    `getGlobalActionHandler` in class `GlobalActionManager`
  Parameters:
    `globalActionId` - An action id
    `part` - The `IWorkbenchPart`
  Returns:
    GlobalAction

### refreshGlobalActions

    public void refreshGlobalActions(IWorkbenchPart part)

  Description copied from class: `GlobalActionManager`
  Refreshes the global actions for the given part

  Overrides:
    `refreshGlobalActions` in class `GlobalActionManager`
  Parameters:
    `part` - The workbench part

### setGlobalActionHandlers

    public void setGlobalActionHandlers(IActionBars bar,
                                        IWorkbenchPart part)

  Description copied from class: `GlobalActionManager`
  Set the global actions as the workbench global action handlers

  Overrides:
    `setGlobalActionHandlers` in class `GlobalActionManager`
  Parameters:
    `bar` - The action bars
    `part` - The workbench part

### unSetGlobalActionHandlers

    public void unSetGlobalActionHandlers(IActionBars bar,
                                          IWorkbenchPart part)

  Description copied from class: `GlobalActionManager`
  Unset the global actions as the workbench global action handlers

  Overrides:
    `unSetGlobalActionHandlers` in class `GlobalActionManager`
  Parameters:
    `bar` - The action bars
    `part` - The workbench part

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.